Skip to main content
GET
Retrieve an incident of a v3 status page.

Authorizations

Authorization
string
header
required

The Checkly Public API uses API keys to authenticate requests. You can get the API Key here. Your API key is like a password: keep it secure! Authentication to the API is performed using the Bearer auth method in the Authorization header and using the account ID. For example, set Authorization header while using cURL: curl -H "Authorization: Bearer [apiKey]" "X-Checkly-Account: [accountId]"

Headers

x-checkly-account
string

Your Checkly account ID, you can find it at https://app.checklyhq.com/settings/account/general

Path Parameters

statusPageId
string
required
incidentId
string
required

Response

Successful

id
string
required
statusPageId
string
required
name
string
required
lastUpdateStatus
enum<string>
required
Available options:
INVESTIGATING,
IDENTIFIED,
MONITORING,
RESOLVED
created_at
string<date>
required
incidentUpdates
object[]
required
duration
integer | null

Seconds from the first update to the resolving update; null while ongoing.

componentImpacts
object[]
updated_at
string<date> | null